ZEBRA(8)

NAME
zebra - a routing manager for use with associated components

SYNOPSIS
zebra [ -bdhklrv ] [ -f config-file ] [ -P port-number ]

DESCRIPTION
zebra is a routing manager that implements the zebra route engine. zebra supports RIPv1, RIPv2, RIPng, OSPF, OSPF6, BGP4+, and BGP4-.

OPTIONS

-b, --batch
    Runs in batch mode, zebra parses its config and exits.

-d, --daemon
    Runs in daemon mode, forking and exiting from tty.

-f, --config-file config-file
    Specifies the config file to use for startup. If not specified this option will likely default to /usr/local/etc/zebra.conf.

-h, --help
    A brief message.

-k, --keep_kernel
    On startup, don't delete self inserted routes.

-l, --log_mode
    Turn verbose logging on.

-P, --vty_port port-number
    Specify the port that the zebra VTY will listen on. This defaults to 2602, as specified in /etc/services.

-r, --retain
    When the program terminates, retain routes added by zebra.

-v, --version
    Print the version and exit.

COMMANDS
table [TABLENO] -- for use with multi-table kernels ip route [NETWORK] [GATEWAY] ipv6 route [NETWORK] [GATEWAY] show ip route show ipv6 route show interface show ipforward show ipv6forward

interface [IFNAME]
    shutdown no shutdown ip address [IP-ADDRESS] description [DESCRIPTION] multicast no multicast

FILES

/usr/local/sbin/zebra
    The default location of the zebra binary.

/usr/local/etc/zebra.conf
    The default location of the zebra config file.

$(PWD)/zebra.log
    If the zebra process is config'd to output logs to a file, then you will find this file in the directory where you started zebra.

WARNING
This man page is intended as a quick reference for command line options, and for config file commands. The definitive document is the Info file zebra.

DIAGNOSTICS
The zebra process may log to standard output, to a VTY, to a log file, or through syslog to the system logs. zebra supports many debugging options, see the Info file, or the source for details.

SEE ALSO
References to other related man pages: ripngd(8), ospfd(8), ospf6d(8), bgpd(8), zebra(8), vtysh(1)

BUGS
zebra eats bugs for breakfast. If you have food for the maintainers try <bug-zebra@gnu.org>

AUTHOR[S]
See <www.zebra.org>, or the Info file for an accurate list of authors.